
.funkwhale.modal {
  box-shadow: 0 2px 12px 2px var(--color-shadow);
  border-radius: 1rem;
  max-width: var(--v5c8721d6);
  width: 100%;

  display: grid;
  max-height: 90vh;
  min-height: var(--fa733a8e);
  grid-template-rows: auto 1fr auto;

  position: relative;
&.isdestructive {
    border-top: 24px solid var(--fw-red-500);
h2.destructive-header {
        color: var(--fw-red-500);
}
}
> h2 {
    font-size: 1.25em;
    padding: 1.625rem 4.5rem;
    line-height: 1.2;
    text-align: center;
    position: relative;
> .funkwhale.button {
      font-size: 1rem;
      position: absolute;
      right: 1rem;
      top: 50%;
      transform: translateY(-49%);
}
}
.modal-content {
    overflow: auto;
    position: relative;
> .alert-container {
      position: sticky;
      top: -1rem;
      margin: -1rem -2rem 1rem;

      display: grid;
      grid-template-rows: 1fr;
&.v-enter-active,
      &.v-leave-active {
        transition: grid-template-rows 0.2s ease;
}
&.v-enter-from,
      &.v-leave-to {
        grid-template-rows: 0fr;
}
> div {
        overflow: hidden;
}
}
}
.modal-shadow-top {
    z-index: 2;
    height: 16px;
    width: 100%;
    position: absolute;
    top: 60px;
    background:linear-gradient(var(--color-background), color-mix(in oklab, var(--color-background) 50%, transparent), color-mix(in oklab, var(--color-background) 20%, transparent), transparent);
}
.modal-shadow-bottom {
    height: 32px;
    margin-top: -32px;
    position: sticky;
    bottom: 0px;
    background:linear-gradient(transparent, color-mix(in oklab, var(--background-color) 20%, transparent), color-mix(in oklab, var(--background-color) 50%, transparent), var(--background-color));
&:last-child{
      border-bottom-right-radius: 1rem;
      border-bottom-left-radius: 1rem;
}
}
.modal-actions {
    padding: 0 2rem 1rem 2rem;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
> :first-child {
      margin-left: 0px !important;
}
> :last-child {
      margin-right: 0px !important;
}

    position: relative;
}
}
.funkwhale.overlay {
  background: rgba(0,0,0, .3);

  position: fixed;
  inset: 0;

  display: flex;
  align-items: center;
  justify-content: center;
&.v-enter-active,
  &.v-leave-active {
    transition: opacity 0.2s ease;
.funkwhale.modal {
      transition: transform 0.2s ease;
}
}
&.v-enter-from,
  &.v-leave-to {
    opacity: 0;
.funkwhale.modal {
      transform: translateY(1rem);
}
}
&.v-leave-to {
.funkwhale.modal {
      transform: translateY(-1rem);
}
}
}
